Bug 1577453 - [abrt] shotwell: g_type_check_instance_is_fundamentally_a(): shotwell killed by SIGSEGV
Summary: [abrt] shotwell: g_type_check_instance_is_fundamentally_a(): shotwell killed ...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:0f49363c65026d47882e782d2f6...
: 1578490 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-12 05:05 UTC by mailer.regs
Modified: 2019-05-28 20:15 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:15:38 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (49.91 KB, text/plain)
2018-05-12 05:05 UTC, mailer.regs
no flags Details
File: cgroup (341 bytes, text/plain)
2018-05-12 05:05 UTC, mailer.regs
no flags Details
File: core_backtrace (32.46 KB, text/plain)
2018-05-12 05:05 UTC, mailer.regs
no flags Details
File: cpuinfo (1.39 KB, text/plain)
2018-05-12 05:05 UTC, mailer.regs
no flags Details
File: dso_list (16.27 KB, text/plain)
2018-05-12 05:05 UTC, mailer.regs
no flags Details
File: environ (4.27 KB, text/plain)
2018-05-12 05:05 UTC, mailer.regs
no flags Details
File: exploitable (82 bytes, text/plain)
2018-05-12 05:05 UTC, mailer.regs
no flags Details
File: limits (1.29 KB, text/plain)
2018-05-12 05:05 UTC, mailer.regs
no flags Details
File: maps (82.11 KB, text/plain)
2018-05-12 05:06 UTC, mailer.regs
no flags Details
File: mountinfo (4.44 KB, text/plain)
2018-05-12 05:06 UTC, mailer.regs
no flags Details
File: open_fds (1.27 KB, text/plain)
2018-05-12 05:06 UTC, mailer.regs
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2018-05-12 05:06 UTC, mailer.regs
no flags Details
File: var_log_messages (124 bytes, text/plain)
2018-05-12 05:06 UTC, mailer.regs
no flags Details

Description mailer.regs 2018-05-12 05:05:41 UTC
Description of problem:
Open an image using Shotwell
Edit the image (crop it)
Straighten the image, then reset the straigten effect
Save as, choose to overwrite original image
=> The new image was saved successfully, but Shotwell crashed after that

Version-Release number of selected component:
shotwell-0.28.2-1.fc28

Additional info:
reporter:       libreport-2.9.5
backtrace_rating: 4
cmdline:        shotwell
crash_function: g_type_check_instance_is_fundamentally_a
executable:     /usr/bin/shotwell
journald_cursor: s=c4c176f1b02a420d821cfbd7dde93e96;i=48a40;b=c24cf85a1e604e7da823bfdb6bb1ea38;m=3155c9622;t=56bfb0ecc70bb;x=edfb070c03d4ac21
kernel:         4.16.6-302.fc28.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #0 g_type_check_instance_is_fundamentally_a at gtype.c:4025
 #1 g_object_ref at gobject.c:3206
 #2 g_weak_ref_get at gobject.c:4381
 #3 g_settings_backend_invoke_closure at gsettingsbackend.c:263
 #9 gtk_main at gtkmain.c:1323
 #10 welcome_dialog_execute at /home/jens/Source/shotwell/src/dialogs/WelcomeDialog.vala:165
 #11 library_exec at /home/jens/Source/shotwell/src/main.vala:178
 #12 _vala_main at /home/jens/Source/shotwell/src/main.vala:441

Comment 1 mailer.regs 2018-05-12 05:05:47 UTC
Created attachment 1435286 [details]
File: backtrace

Comment 2 mailer.regs 2018-05-12 05:05:49 UTC
Created attachment 1435287 [details]
File: cgroup

Comment 3 mailer.regs 2018-05-12 05:05:51 UTC
Created attachment 1435288 [details]
File: core_backtrace

Comment 4 mailer.regs 2018-05-12 05:05:52 UTC
Created attachment 1435289 [details]
File: cpuinfo

Comment 5 mailer.regs 2018-05-12 05:05:54 UTC
Created attachment 1435290 [details]
File: dso_list

Comment 6 mailer.regs 2018-05-12 05:05:55 UTC
Created attachment 1435291 [details]
File: environ

Comment 7 mailer.regs 2018-05-12 05:05:57 UTC
Created attachment 1435292 [details]
File: exploitable

Comment 8 mailer.regs 2018-05-12 05:05:58 UTC
Created attachment 1435293 [details]
File: limits

Comment 9 mailer.regs 2018-05-12 05:06:00 UTC
Created attachment 1435294 [details]
File: maps

Comment 10 mailer.regs 2018-05-12 05:06:01 UTC
Created attachment 1435295 [details]
File: mountinfo

Comment 11 mailer.regs 2018-05-12 05:06:03 UTC
Created attachment 1435296 [details]
File: open_fds

Comment 12 mailer.regs 2018-05-12 05:06:04 UTC
Created attachment 1435297 [details]
File: proc_pid_status

Comment 13 mailer.regs 2018-05-12 05:06:05 UTC
Created attachment 1435298 [details]
File: var_log_messages

Comment 14 Timothy Ward 2018-05-15 17:09:50 UTC
*** Bug 1578490 has been marked as a duplicate of this bug. ***

Comment 15 Ben Cotton 2019-05-02 21:45:50 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-05-28 20:15:38 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.